Obtener las alertas de un cliente
curl --request GET \
--url https://api.ugps.io/api/alerts/client/{clientId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ugps.io/api/alerts/client/{clientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ugps.io/api/alerts/client/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"alertTriggerId": "<string>",
"name": "<string>",
"assets": [
"<string>"
],
"users": [
"<string>"
],
"_id": "<string>",
"clientId": "<string>",
"emails": [
"jsmith@example.com"
],
"phones": [
"<string>"
],
"typeNotification": {
"email": true,
"whatsapp": true,
"app": true,
"browser": true
},
"state": true,
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"message": "Error interno del servidor"
}Alertas - Alertas
Obtener las alertas de un cliente
Devuelve las alertas asociadas a un cliente específico (campos base; sin campos
específicos por tipo). Requiere el permiso access_alerts.
GET
/
api
/
alerts
/
client
/
{clientId}
Obtener las alertas de un cliente
Authorizations
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.
Path Parameters
ID del cliente
⌘I